<template>
  <div class="cut-video-container">
    <iframe
      ref="iframeRef"
      :src="iframeUrl"
      frameborder="0"
      width="100%"
      height="100%"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
      allowfullscreen
    ></iframe>
  </div>
</template>

<script>
export default {
  data() {
    return {
      iframeUrl: 'https://aids.gloria.com.cn:8443/chat/Q2zXZ4uwp3yN4Tmn',
    }
  },
  mounted(){
    document.querySelector('body').classList.add('chat-creation')
  },
  beforeDestroy() {
    document.body.classList.remove('chat-creation')
  }
};
</script>

<style lang="scss" scoped>
.cut-video-container {
  width: 100%;
  height: 100%;
  overflow: hidden;
}
</style>
<style lang="scss">
  .chat-creation {
    .hasTagsView .app-main {
      padding: 0;
      background-color: #e9ebf0;
      box-shadow: none;
    }
  }
</style>